---
title: SSL Certification
url: https://docs.vultr.com/products/network/load-balancer/configuration/networking/ssl-certification
description: A guide for installing SSL certificates on Vultr Load Balancers to enable secure HTTPS connections
publish_date: 2024-09-23T20:21:00.522175Z
last_updated: 2026-05-26T19:55:49.006523Z
---

# How to Apply an SSL Certificate to Vultr Load Balancer

Applying an SSL Certificate to your Vultr Load Balancer enhances the security of your traffic by encrypting data transmitted between clients and your Load Balancer. By adding a private key, certificate, and certificate chain, you can ensure secure communications and improve trustworthiness for your users.

Follow this guide to apply an SSL certificate to your Vultr Load Balancer using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Load Balancers**.
    1. Click your target Load Balancer to open its management page.
    1. Scroll to **SSL**, click the pencil icon, and choose **Auto SSL**.
    1. Paste the **Private Key**, **Certificate**, and **Certificate Chain**.
    1. Click **Save changes**.

=== "Vultr API"

    1. Send a `GET` request to the [**List Load Balancers** endpoint](https://www.vultr.com/api/#tag/load-balancer/operation/list-load-balancers) and note the target Load Balancer's ID.

        ```console
        $ curl "https://api.vultr.com/v2/load-balancers" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PATCH` request to the [**Update Load Balancer** endpoint](https://www.vultr.com/api/#tag/load-balancer/operation/update-load-balancer) to apply an SSL certificate to the target Load Balancer.

        ```console
        $ curl "https://api.vultr.com/v2/load-balancers/{load-balancer-id}" \
            -X PATCH \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "ssl": {
                    "private_key": "-----BEGIN PRIVATE KEY-----\nYOUR_PRIVATE_KEY_HERE\n-----END PRIVATE KEY-----",
                    "certificate": "-----BEGIN CERTIFICATE-----\nYOUR_CERTIFICATE_HERE\n-----END CERTIFICATE-----",
                    "chain": "-----BEGIN CERTIFICATE-----\nYOUR_CHAIN_CERTIFICATE_HERE\n-----END CERTIFICATE-----"
                }
            }'
        ```

=== "Vultr CLI"

    1. List all available instances and note the target Load Balancer's ID.

        ```console
        $ vultr-cli load-balancer list
        ```

    1. Apply SSL certificate to target Load Balancer.

        ```console
        $ vultr-cli load-balancer update <load-balancer-id> \
            --private-key "-----BEGIN PRIVATE KEY-----\nYOUR_PRIVATE_KEY_HERE\n-----END PRIVATE KEY-----" \
            --certificate "-----BEGIN CERTIFICATE-----\nYOUR_CERTIFICATE_HERE\n-----END CERTIFICATE-----" \
            --certificate-chain "-----BEGIN CERTIFICATE-----\nYOUR_CHAIN_CERTIFICATE_HERE\n-----END CERTIFICATE-----"
        ```

=== "Terraform"

    1. Open your Terraform configuration file for the existing Load Balancer.

    1. Add the `ssl` block with your certificate details.

        ```terraform
        resource "vultr_load_balancer" "lb" {
            # ...existing fields (region, label, forwarding_rules, health_check, etc.)

            ssl {
                private_key = file("path/to/privkey.pem")
                certificate = file("path/to/cert.pem")
                chain       = file("path/to/chain.pem")
            }
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
